﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace windows5
{
    public partial class Form1 : Form
    {
        private int selectedIndex;
        public Form1()
        {
            InitializeComponent();
            comboBox1.SelectedIndex = 0;
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            selectedIndex = comboBox1.SelectedIndex;
            panel1.Refresh();
        }
        private void TekenVierkant(Graphics g, int zijde)
        {
            g.Clear(panel1.BackColor);
            Pen zwartePen = new Pen(Color.Black, 1);
            g.DrawRectangle(zwartePen, 0, 0, zijde, zijde);
            zwartePen.Dispose();
        }
        private void TekenCirkel(Graphics g, int straal)
        {
            g.Clear(panel1.BackColor);
            Pen zwartePen = new Pen(Color.Black, 1);
            g.DrawEllipse(zwartePen, 0, 0, straal, straal);
            zwartePen.Dispose();
        }
        private void TekenGevuldVierkant(Graphics g, int zijde)
        {
            g.Clear(panel1.BackColor);
            SolidBrush zwarteBorstel = new SolidBrush(Color.Black);
            g.FillRectangle(zwarteBorstel, 0, 0, zijde, zijde);
            zwarteBorstel.Dispose();
        }
        private void TekenGevuldeCirkel(Graphics g, int straal)
        {
            g.Clear(panel1.BackColor);
            SolidBrush zwarteBorstel = new SolidBrush(Color.Black);
            g.FillEllipse(zwarteBorstel, 0, 0, straal, straal);
            zwarteBorstel.Dispose();
        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {
            switch (selectedIndex)
            {
                case 0: TekenCirkel(e.Graphics, 50);
                    break;
                case 1: TekenVierkant(e.Graphics, 50);
                    break;
                case 2: TekenGevuldeCirkel(e.Graphics, 50);
                    break;
                case 3: TekenGevuldVierkant(e.Graphics, 50);
                    break;
            }
        }
    }
}
